Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -13961,7 +27273,176 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'idat'   ImageData                            N
+  'idat'   ImageData                            no
   'idsc'   ImageDescription                     QuickTime ImageDesc
   'iicc'   ICC_Profile                          ICC_Profile
+
+=head2 Parrot Tags
+
+=head3 Parrot mett Tags
+
+Streaming metadata found in Parrot drone videos. See
+L<https://developer.parrot.com/docs/pdraw/metadata.html> for the
+specification.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'P1'     ParrotV1                             Parrot V1
+  'P2'     ParrotV2                             Parrot V2
+  'P3'     ParrotV3                             Parrot V3
+  'E1'     ParrotTimeStamp                      Parrot TimeStamp
+  'E2'     ParrotFollowMe                       Parrot FollowMe
+  'E3'     ParrotAutomation                     Parrot Automation
+
+=head3 Parrot V1 Tags
+
+Parrot version 1 streaming metadata.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    DroneYaw                             no
+      6    DronePitch                           no
+      8    DroneRoll                            no
+     10    CameraPan                            no
+     12    CameraTilt                           no
+     14    FrameView                            no
+     22    ExposureTime                         no
+     24    ISO                                  no
+     26    WifiRSSI                             no
+     27    Battery                              no
+     28    GPSLatitude                          no
+     32    GPSLongitude                         no
+     36    GPSAltitude                          no
+   36.1    GPSSatellites                        no
+     40    AltitudeFromTakeOff                  no
+     44    DistanceFromHome                     no
+     48    SpeedX                               no
+     50    SpeedY                               no
+     52    SpeedZ                               no
+     54    Binning                              no
+   54.1    FlyingState                          no
+     55    Animation                            no
+   55.1    PilotingMode                         no
+
+=head3 Parrot V2 Tags
+
+Parrot version 2 basic streaming metadata.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    Elevation                            no
+      8    GPSLatitude                          no
+     12    GPSLongitude                         no
+     16    GPSAltitude                          no
+   16.1    GPSSatellites                        no
+     20    GPSVelocityNorth                     no
+     22    GPSVelocityEast                      no
+     24    GPSVelocityDown                      no
+     26    AirSpeed                             no
+     28    DroneQuaternion                      no
+     36    FrameView                            no
+     44    CameraPan                            no
+     46    CameraTilt                           no
+     48    ExposureTime                         no
+     50    ISO                                  no
+     52    Binning                              no
+   52.1    FlyingState                          no
+     53    Animation                            no
+   53.1    PilotingMode                         no
+     54    WifiRSSI                             no
+     55    Battery                              no
+  'Groups' Groups                               no
+
+=head3 Parrot V3 Tags
+
+Parrot version 3 basic streaming metadata.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    Elevation                            no
+      8    GPSLatitude                          no
+     12    GPSLongitude                         no
+     16    GPSAltitude                          no
+   16.1    GPSSatellites                        no
+     20    GPSVelocityNorth                     no
+     22    GPSVelocityEast                      no
+     24    GPSVelocityDown                      no
+     26    AirSpeed                             no
+     28    DroneQuaternion                      no
+     36    FrameBaseView                        no
+     44    FrameView                            no
+     52    ExposureTime                         no
+     54    ISO                                  no
+     56    RedBalance                           no
+     58    BlueBalance                          no
+     60    FOV                                  no
+     64    LinkGoodput                          no
+   64.1    LinkQuality                          no
+     68    WifiRSSI                             no
+     69    Battery                              no
+     70    Binning                              no
+   70.1    FlyingState                          no
+     71    Animation                            no
+   71.1    PilotingMode                         no
+
+=head3 Parrot TimeStamp Tags
+
+Parrot streaming metadata timestamp extension.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    TimeStamp                            no
+
+=head3 Parrot FollowMe Tags
+
+Parrot streaming metadata follow-me extension.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    GPSTargetLatitude                    no
+      8    GPSTargetLongitude                   no
+     12    GPSTargetAltitude                    no
+     16    Follow-meMode                        no
+     17    Follow-meAnimation                   no
+
+=head3 Parrot Automation Tags
+
+Parrot streaming metadata automation extension.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    GPSFramingLatitude                   no
+      8    GPSFramingLongitude                  no
+     12    GPSFramingAltitude                   no
+     16    GPSDestLatitude                      no
+     20    GPSDestLongitude                     no
+     24    GPSDestAltitude                      no
+     28    AutomationAnimation                  no
+     29    AutomationFlags                      no
+
+=head2 PLIST Tags
+
+Apple Property List tags.  ExifTool reads both XML and binary-format PLIST
+files, and will extract any existing tags even if they aren't listed below.
+These tags belong to the family 0 "PLIST" group, but family 1 group may be
+either "XML" or "PLIST" depending on whether the format is XML or binary.
+
+  Tag ID                       Tag Name         Writable
+  ------                       --------         --------
+  'MetaDataList//DateTimeOriginal'
+                               DateTimeOriginal no
+  'MetaDataList//Duration'     Duration         no
+  'MetaDataList//Geolocation/Latitude'
+                               GPSLatitude      no
+  'MetaDataList//Geolocation/Longitude'
+                               GPSLongitude     no
+  'MetaDataList//Geolocation/MapDatum'
+                               GPSMapDatum      no
+  'XMLFileType'                XMLFileType      no
+  'cast//name'                 Cast             no+
+  'codirectors//name'          Codirectors      no+
+  'directors//name'            Directors        no+
+  'producers//name'            Producers        no+
+  'screenwriters//name'        Screenwriters    no+
+  'studio//name'               Studio           no+
 
 =head2 Matroska Tags
@@ -13977,195 +27458,196 @@
   ------       --------                         --------
   0x0000       ChapterDisplay                   Matroska
-  0x0003       TrackType                        N
-  0x0005       ChapterString                    N
-  0x0006       VideoCodecID                     N
-               AudioCodecID                     N
-               CodecID                          N
-  0x0008       TrackDefault                     N
-  0x0009       ChapterTrackNumber?              N
+  0x0003       TrackType                        no
+  0x0005       ChapterString                    no
+  0x0006       VideoCodecID                     no
+               AudioCodecID                     no
+               CodecID                          no
+  0x0008       TrackDefault                     no
+  0x0009       ChapterTrackNumber?              no
   0x000e       Slices                           Matroska
   0x000f       ChapterTrack                     Matroska
-  0x0011       ChapterTimeStart                 N
-  0x0012       ChapterTimeEnd                   N
-  0x0016       CueRefTime?                      N
-  0x0017       CueRefCluster?                   N
-  0x0018       ChapterFlagHidden?               N
-  0x001a       VideoScanType                    N
-  0x001b       BlockDuration?                   N
-  0x001c       TrackLacing?                     N
-  0x001f       AudioChannels                    N
+  0x0011       ChapterTimeStart                 no
+  0x0012       ChapterTimeEnd                   no
+  0x0016       CueRefTime?                      no
+  0x0017       CueRefCluster?                   no
+  0x0018       ChapterFlagHidden?               no
+  0x001a       VideoScanType                    no
+  0x001b       BlockDuration?                   no
+  0x001c       TrackLacing?                     no
+  0x001f       AudioChannels                    no
   0x0020       BlockGroup                       Matroska
-  0x0021       Block?                           N
-  0x0022       BlockVirtual?                    N
-  0x0023       SimpleBlock?                     N
-  0x0024       CodecState?                      N
-  0x0025       BlockAdditional?                 N
+  0x0021       Block?                           no
+  0x0022       BlockVirtual?                    no
+  0x0023       SimpleBlock?                     no
+  0x0024       CodecState?                      no
+  0x0025       BlockAdditional?                 no
   0x0026       BlockMore                        Matroska
-  0x0027       Position                         N
-  0x002a       CodecDecodeAll                   N
-  0x002b       PrevSize                         N
+  0x0027       Position                         no
+  0x002a       CodecDecodeAll                   no
+  0x002b       PrevSize                         no
   0x002e       TrackEntry                       Matroska
-  0x002f       EncryptedBlock?                  N
-  0x0030       ImageWidth                       N
-  0x0033       CueTime?                         N
-  0x0035       AudioSampleRate                  N
+  0x002f       EncryptedBlock?                  no
+  0x0030       ImageWidth                       no
+  0x0033       CueTime?                         no
+  0x0035       AudioSampleRate                  no
   0x0036       ChapterAtom                      Matroska
   0x0037       CueTrackPositions                Matroska
-  0x0039       TrackUsed                        N
-  0x003a       ImageHeight                      N
+  0x0039       TrackUsed                        no
+  0x003a       ImageHeight                      no
   0x003b       CuePoint                         Matroska
-  0x003f       CRC-32?                          N
-  0x004b       BlockAdditionalID?               N
-  0x004c       LaceNumber?                      N
-  0x004d       FrameNumber?                     N
-  0x004e       Delay?                           N
-  0x004f       ClusterDuration?                 N
-  0x0057       TrackNumber                      N
+  0x003f       CRC-32?                          no
+  0x004b       BlockAdditionalID?               no
+  0x004c       LaceNumber?                      no
+  0x004d       FrameNumber?                     no
+  0x004e       Delay?                           no
+  0x004f       ClusterDuration?                 no
+  0x0057       TrackNumber                      no
   0x005b       CueReference                     Matroska
   0x0060       Video                            Matroska
   0x0061       Audio                            Matroska
-  0x0067       Timecode?                        N
+  0x0067       TimeCode?                        no
   0x0068       TimeSlice                        Matroska
-  0x006a       CueCodecState?                   N
-  0x006b       CueRefCodecState?                N
-  0x006c       Void?                            N
-  0x006e       BlockAddID?                      N
-  0x0071       CueClusterPosition?              N
-  0x0077       CueTrack?                        N
-  0x007a       ReferencePriority?               N
-  0x007b       ReferenceBlock?                  N
-  0x007d       ReferenceVirtual?                N
-  0x0254       ContentCompressionAlgorithm      N
-  0x0255       ContentCompressionSettings?      N
-  0x0282       DocType                          N
-  0x0285       DocTypeReadVersion               N
-  0x0286       EBMLVersion                      N
-  0x0287       DocTypeVersion                   N
-  0x02f2       EBMLMaxIDLength?                 N
-  0x02f3       EBMLMaxSizeLength?               N
-  0x02f7       EBMLReadVersion                  N
-  0x037c       ChapterLanguage                  N
-  0x037e       ChapterCountry                   N
-  0x0444       SegmentFamily?                   N
-  0x0461       DateTimeOriginal                 N
-  0x047a       TagLanguage                      N
-  0x0484       TagDefault                       N
-  0x0485       TagBinary                        N
-  0x0487       TagString                        N
-  0x0489       Duration                         N
-  0x050d       ChapterProcessPrivate?           N
-  0x0598       ChapterFlagEnabled?              N
-  0x05a3       TagName                          N
+  0x006a       CueCodecState?                   no
+  0x006b       CueRefCodecState?                no
+  0x006c       Void?                            no
+  0x006e       BlockAddID?                      no
+  0x0071       CueClusterPosition?              no
+  0x0077       CueTrack?                        no
+  0x007a       ReferencePriority?               no
+  0x007b       ReferenceBlock?                  no
+  0x007d       ReferenceVirtual?                no
+  0x0254       ContentCompressionAlgorithm      no
+  0x0255       ContentCompressionSettings?      no
+  0x0282       DocType                          no
+  0x0285       DocTypeReadVersion               no
+  0x0286       EBMLVersion                      no
+  0x0287       DocTypeVersion                   no
+  0x02f2       EBMLMaxIDLength?                 no
+  0x02f3       EBMLMaxSizeLength?               no
+  0x02f7       EBMLReadVersion                  no
+  0x037c       ChapterLanguage                  no
+  0x037e       ChapterCountry                   no
+  0x0444       SegmentFamily?                   no
+  0x0461       DateTimeOriginal                 no
+  0x047a       TagLanguage                      no
+  0x0484       TagDefault                       no
+  0x0485       TagBinary                        no
+  0x0487       TagString                        no
+  0x0489       Duration                         no
+  0x050d       ChapterProcessPrivate?           no
+  0x0598       ChapterFlagEnabled?              no
+  0x05a3       TagName                          no
   0x05b9       EditionEntry                     Matroska
-  0x05bc       EditionUID?                      N
-  0x05bd       EditionFlagHidden?               N
-  0x05db       EditionFlagDefault?              N
-  0x05dd       EditionFlagOrdered?              N
-  0x065c       AttachedFileData                 N
-  0x0660       AttachedFileMIMEType             N
-  0x066e       AttachedFileName                 N
-  0x0675       AttachedFileReferral?            N
-  0x067e       AttachedFileDescription          N
-  0x06ae       AttachedFileUID                  N
-  0x07e1       ContentEncryptionAlgorithm       N
-  0x07e2       ContentEncryptionKeyID?          N
-  0x07e3       ContentSignature?                N
-  0x07e4       ContentSignatureKeyID?           N
-  0x07e5       ContentSignatureAlgorithm        N
-  0x07e6       ContentSignatureHashAlgorithm    N
-  0x0d80       MuxingApp                        N
+  0x05bc       EditionUID?                      no
+  0x05bd       EditionFlagHidden?               no
+  0x05db       EditionFlagDefault?              no
+  0x05dd       EditionFlagOrdered?              no
+  0x065c       AttachedFileData                 no
+  0x0660       AttachedFileMIMEType             no
+  0x066e       AttachedFileName                 no
+  0x0675       AttachedFileReferral?            no
+  0x067e       AttachedFileDescription          no
+  0x06ae       AttachedFileUID                  no
+  0x07e1       ContentEncryptionAlgorithm       no
+  0x07e2       ContentEncryptionKeyID?          no
+  0x07e3       ContentSignature?                no
+  0x07e4       ContentSignatureKeyID?           no
+  0x07e5       ContentSignatureAlgorithm        no
+  0x07e6       ContentSignatureHashAlgorithm    no
+  0x0d80       MuxingApp                        no
   0x0dbb       Seek                             Matroska
-  0x1031       ContentEncodingOrder?            N
-  0x1032       ContentEncodingScope?            N
-  0x1033       ContentEncodingType              N
+  0x1031       ContentEncodingOrder?            no
+  0x1032       ContentEncodingScope?            no
+  0x1033       ContentEncodingType              no
   0x1034       ContentCompression               Matroska
   0x1035       ContentEncryption                Matroska
-  0x135f       CueRefNumber?                    N
-  0x136e       TrackName                        N
-  0x1378       CueBlockNumber?                  N
-  0x137f       TrackOffset?                     N
-  0x13ab       SeekID?                          N
-  0x13ac       SeekPosition?                    N
-  0x13b8       Stereo3DMode                     N
-  0x14aa       CropBottom                       N
-  0x14b0       DisplayWidth                     N
-  0x14b2       DisplayUnit                      N
-  0x14b3       AspectRatioType                  N
-  0x14ba       DisplayHeight                    N
-  0x14bb       CropTop                          N
-  0x14cc       CropLeft                         N
-  0x14dd       CropRight                        N
-  0x15aa       TrackForced                      N
-  0x15ee       MaxBlockAdditionID?              N
-  0x1741       WritingApp                       N
+  0x135f       CueRefNumber?                    no
+  0x136e       TrackName                        no
+  0x1378       CueBlockNumber?                  no
+  0x137f       TrackOffset?                     no
+  0x13ab       SeekID?                          no
+  0x13ac       SeekPosition?                    no
+  0x13b8       Stereo3DMode                     no
+  0x14aa       CropBottom                       no
+  0x14b0       DisplayWidth                     no
+  0x14b2       DisplayUnit                      no
+  0x14b3       AspectRatioType                  no
+  0x14ba       DisplayHeight                    no
+  0x14bb       CropTop                          no
+  0x14cc       CropLeft                         no
+  0x14dd       CropRight                        no
+  0x15aa       TrackForced                      no
+  0x15ee       MaxBlockAdditionID?              no
+  0x1741       WritingApp                       no
   0x1854       SilentTracks                     Matroska
-  0x18d7       SilentTrackNumber                N
+  0x18d7       SilentTrackNumber                no
   0x21a7       AttachedFile                     Matroska
   0x2240       ContentEncoding                  Matroska
-  0x2264       AudioBitsPerSample               N
-  0x23a2       CodecPrivate?                    N
+  0x2264       AudioBitsPerSample               no
+  0x23a2       CodecPrivate?                    no
   0x23c0       Targets                          Matroska
-  0x23c3       ChapterPhysicalEquivalent        N
-  0x23c4       TagChapterUID?                   N
-  0x23c5       TagTrackUID?                     N
-  0x23c6       TagAttachmentUID?                N
-  0x23c9       TagEditionUID?                   N
-  0x23ca       TargetType                       N
-  0x2532       SignedElement?                   N
+  0x23c3       ChapterPhysicalEquivalent        no
+  0x23c4       TagChapterUID?                   no
+  0x23c5       TagTrackUID?                     no
+  0x23c6       TagAttachmentUID?                no
+  0x23c9       TagEditionUID?                   no
+  0x23ca       TargetType                       no
+  0x2532       SignedElement?                   no
   0x2624       TrackTranslate                   Matroska
-  0x26a5       TrackTranslateTrackID?           N
-  0x26bf       TrackTranslateCodec              N
-  0x26fc       TrackTranslateEditionUID?        N
+  0x26a5       TrackTranslateTrackID?           no
+  0x26bf       TrackTranslateCodec              no
+  0x26fc       TrackTranslateEditionUID?        no
   0x27c8       SimpleTag                        Matroska
-  0x28ca       TargetTypeValue                  N
+  0x28ca       TargetTypeValue                  no
   0x2911       ChapterProcessCommand            Matroska
-  0x2922       ChapterProcessTime?              N
+  0x2922       ChapterProcessTime?              no
   0x2924       ChapterTranslate                 Matroska
-  0x2933       ChapterProcessData?              N
+  0x2933       ChapterProcessData?              no
   0x2944       ChapterProcess                   Matroska
-  0x2955       ChapterProcessCodecID?           N
-  0x29a5       ChapterTranslateID?              N
-  0x29bf       ChapterTranslateCodec            N
-  0x29fc       ChapterTranslateEditionUID?      N
+  0x2955       ChapterProcessCodecID?           no
+  0x29a5       ChapterTranslateID?              no
+  0x29bf       ChapterTranslateCodec            no
+  0x29fc       ChapterTranslateEditionUID?      no
   0x2d80       ContentEncodings                 Matroska
-  0x2de7       MinCache?                        N
-  0x2df8       MaxCache?                        N
-  0x2e67       ChapterSegmentUID?               N
-  0x2ebc       ChapterSegmentEditionUID?        N
-  0x2fab       TrackOverlay?                    N
+  0x2de7       MinCache?                        no
+  0x2df8       MaxCache?                        no
+  0x2e67       ChapterSegmentUID?               no
+  0x2ebc       ChapterSegmentEditionUID?        no
+  0x2fab       TrackOverlay?                    no
   0x3373       Tag                              Matroska
-  0x3384       SegmentFileName                  N
-  0x33a4       SegmentUID?                      N
-  0x33c4       ChapterUID?                      N
-  0x33c5       TrackUID?                        N
-  0x3446       TrackAttachmentUID               N
+  0x3384       SegmentFileName                  no
+  0x33a4       SegmentUID?                      no
+  0x33c4       ChapterUID?                      no
+  0x33c5       TrackUID?                        no
+  0x3446       TrackAttachmentUID               no
   0x35a1       BlockAdditions                   Matroska
-  0x38b5       OutputAudioSampleRate            N
-  0x3ba9       Title                            N
-  0x3d7b       ChannelPositions?                N
+  0x38b5       OutputAudioSampleRate            no
+  0x3ba9       Title                            no
+  0x3d7b       ChannelPositions?                no
   0x3e5b       SignatureElements                Matroska
   0x3e7b       SignatureElementList             Matroska
-  0x3e8a       SignatureAlgo                    N
-  0x3e9a       SignatureHash                    N
-  0x3ea5       SignaturePublicKey?              N
-  0x3eb5       Signature?                       N
-  0x2b59c      TrackLanguage                    N
-  0x3314f      TrackTimecodeScale               N
-  0x383e3      FrameRate                        N
-  0x3e383      VideoFrameRate                   N
-               DefaultDuration                  N
-  0x58688      VideoCodecName                   N
-               AudioCodecName                   N
-               CodecName                        N
-  0x6b240      CodecDownloadURL                 N
-  0xad7b1      TimecodeScale                    N
-  0xeb524      ColorSpace?                      N
-  0xfb523      Gamma                            N
-  0x1a9697     CodecSettings                    N
-  0x1b4040     CodecInfoURL                     N
-  0x1c83ab     PrevFileName                     N
-  0x1cb923     PrevUID?                         N
-  0x1e83bb     NextFileName                     N
-  0x1eb923     NextUID?                         N
+  0x3e8a       SignatureAlgo                    no
+  0x3e9a       SignatureHash                    no
+  0x3ea5       SignaturePublicKey?              no
+  0x3eb5       Signature?                       no
+  0x7670       Projection                       Matroska Projection
+  0x2b59c      TrackLanguage                    no
+  0x3314f      TrackTimecodeScale               no
+  0x383e3      FrameRate                        no
+  0x3e383      VideoFrameRate                   no
+               DefaultDuration                  no
+  0x58688      VideoCodecName                   no
+               AudioCodecName                   no
+               CodecName                        no
+  0x6b240      CodecDownloadURL                 no
+  0xad7b1      TimecodeScale                    no
+  0xeb524      ColorSpace?                      no
+  0xfb523      Gamma                            no
+  0x1a9697     CodecSettings                    no
+  0x1b4040     CodecInfoURL                     no
+  0x1c83ab     PrevFileName                     no
+  0x1cb923     PrevUID?                         no
+  0x1e83bb     NextFileName                     no
+  0x1eb923     NextUID?                         no
   0x43a770     Chapters                         Matroska
   0x14d9b74    SeekHead                         Matroska
@@ -14180,4 +27662,34 @@
   0xf43b675    Cluster                          Matroska
 
+=head3 Matroska Projection Tags
+
+Projection tags defined by the Spherical Video V2 specification.  See
+L<https://github.com/google/spatial-media/blob/master/docs/spherical-video-v2-rfc.md>
+for the specification.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x7671   ProjectionType                       no
+  0x7672   EquirectangularProj                  QuickTime equi
+           CubemapProj                          QuickTime cbmp
+  0x7673   ProjectionPosYaw                     no
+  0x7674   ProjectionPosPitch                   no
+  0x7675   ProjectionPosRoll                    no
+
+=head2 MOI Tags
+
+MOI files store information about associated MOD or TOD files, and are
+written by some JVC, Canon and Panasonic camcorders.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    MOIVersion                           no
+      6    DateTimeOriginal                     no
+     14    Duration                             no
+    128    AspectRatio                          no
+    132    AudioCodec                           no
+    134    AudioBitrate                         no
+    218    VideoBitrate                         no
+
 =head2 MXF Tags
 
